libname libref spss 'c:\casedata\threeclusters123.por';

Data tryone; set libref._first_;
run;

libname q 'c:\casedata';
data q.threeclusters123; set tryone;
proc contents position; run;

		/* This program takes into sas the portable SPSS file
		threeclusters123.por. This file has one data set for each
		of the three clusters in the latent structure. It creates a
		permanent SAS data set threeclusters123.  Except for the 
		loglinear models using SPSS Hiloglin almost all of the
		analyses can be conducted using these data. The second or third
		copy of the file can be temporarily eliminated using
		standard SAS coding. The instruction below calls the new sas data set
		and asks for the table of contents by position of the variable. Other syntaxes
		begin with the first statement below or something similar*/

data trytwo; set q.threeclusters123;
proc contents position; run;

							

		/* This code created the weighting variable for the three cluster model
		there is no need to rerun this code	*/

libname q 'c:\casedata';
data trythree; set q.threeclusters123;

if fileid = 1 then do;
newvar= leftls; 
end;

if fileid = 2 then do;
newvar = centerls;
end;

if fileid = 3 then do;
newvar = rightls;
end;

run;

data q.threeclusters123; set trythree;
run;
				
